Skip to main content
GET
/
prices
List prices
curl --request GET \
  --url https://api.withorb.com/v1/prices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "model_type": "unit",
      "unit_config": {
        "unit_amount": "<string>",
        "prorated": false
      },
      "metadata": {},
      "id": "<string>",
      "name": "<string>",
      "external_price_id": "<string>",
      "replaces_price_id": "<string>",
      "price_type": "usage_price",
      "created_at": "2023-11-07T05:31:56Z",
      "cadence": "one_time",
      "billing_mode": "in_advance",
      "billing_cycle_configuration": {
        "duration": 123,
        "duration_unit": "day"
      },
      "invoicing_cycle_configuration": {
        "duration": 123,
        "duration_unit": "day"
      },
      "billable_metric": {
        "id": "<string>"
      },
      "fixed_price_quantity": 123,
      "plan_phase_order": 123,
      "currency": "<string>",
      "conversion_rate": 123,
      "conversion_rate_config": {
        "conversion_rate_type": "unit",
        "unit_config": {
          "unit_amount": "<string>"
        }
      },
      "item": {
        "id": "<string>",
        "name": "<string>"
      },
      "credit_allocation": {
        "currency": "<string>",
        "allows_rollover": true,
        "custom_expiration": {
          "duration": 123,
          "duration_unit": "day"
        },
        "filters": [
          {
            "field": "price_id",
            "operator": "includes",
            "values": [
              "<string>"
            ]
          }
        ],
        "license_type_id": "<string>"
      },
      "composite_price_filters": [
        {
          "field": "price_id",
          "operator": "includes",
          "values": [
            "<string>"
          ]
        }
      ],
      "invoice_grouping_key": "<string>",
      "discount": {
        "discount_type": "percentage",
        "percentage_discount": 0.5,
        "applies_to_price_ids": [
          "h74gfhdjvn7ujokd",
          "7hfgtgjnbvc3ujkl"
        ],
        "filters": [
          {
            "field": "price_id",
            "operator": "includes",
            "values": [
              "<string>"
            ]
          }
        ],
        "reason": "<string>"
      },
      "minimum": {
        "minimum_amount": "<string>",
        "filters": [
          {
            "field": "price_id",
            "operator": "includes",
            "values": [
              "<string>"
            ]
          }
        ],
        "applies_to_price_ids": [
          "<string>"
        ]
      },
      "minimum_amount": "<string>",
      "maximum": {
        "maximum_amount": "<string>",
        "filters": [
          {
            "field": "price_id",
            "operator": "includes",
            "values": [
              "<string>"
            ]
          }
        ],
        "applies_to_price_ids": [
          "<string>"
        ]
      },
      "maximum_amount": "<string>",
      "dimensional_price_configuration": {
        "dimensional_price_group_id": "<string>",
        "dimension_values": [
          "<string>"
        ]
      },
      "license_type": {
        "id": "<string>",
        "name": "<string>",
        "grouping_key": "<string>"
      }
    }
  ],
  "pagination_metadata": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

Response

OK

data
(UnitPrice · object | TieredPrice · object | BulkPrice · object | BulkWithFiltersPrice · object | PackagePrice · object | MatrixPrice · object | ThresholdTotalAmountPrice · object | TieredPackagePrice · object | TieredWithMinimumPrice · object | GroupedTieredPrice · object | TieredPackageWithMinimumPrice · object | PackageWithAllocationPrice · object | UnitWithPercentPrice · object | MatrixWithAllocationPrice · object | TieredWithProrationPrice · object | UnitWithProrationPrice · object | GroupedAllocationPrice · object | BulkWithProrationPrice · object | GroupedWithProratedMinimumPrice · object | GroupedWithMeteredMinimumPrice · object | GroupedWithMinMaxThresholdsPrice · object | MatrixWithDisplayNamePrice · object | GroupedTieredPackagePrice · object | MaxGroupTieredPackagePrice · object | ScalableMatrixWithUnitPricingPrice · object | ScalableMatrixWithTieredPricingPrice · object | CumulativeGroupedBulkPrice · object | CumulativeGroupedAllocationPrice · object | DailyCreditAllowancePrice · object | MeteredAllowancePrice · object | MinimumCompositePrice · object | PercentCompositePrice · object | EventOutputPrice · object)[]
required

The Price resource represents a price that can be billed on a subscription, resulting in a charge on an invoice in the form of an invoice line item. Prices take a quantity and determine an amount to bill.

Orb supports a few different pricing models out of the box. Each of these models is serialized differently in a given Price object. The model_type field determines the key for the configuration object that is present.

For more on the types of prices, see the core concepts documentation

pagination_metadata
PaginationMetadata · object
required